.spinner {
    width: 40px;
    height: 40px;
    border: 3px solid rgba(255,255,255,0.1);
    border-top: 3px solid #cc1111;
    border-radius: 50%;
    animation: spin 0.8s linear infinite;
    margin: auto;
}

@keyframes spin {
    100% {
        transform: rotate(360deg);
    }
}

.grid {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 15px;
}

input,
textarea {
    width: 100%;
    padding: 14px;
    border-radius: 6px;
    border: 1px solid #2a2a2a;
    background: #0f0f0f;
    color: white;
}

textarea {
    grid-column: span 2;
    height: 100px;
}

.mb-2vh {
    margin-bottom: 20px!important;
}

.upload {
    border: 2px dashed #333;
    padding: 30px;
    text-align: center;
    cursor: pointer;
    margin-top: 10px;
}

.upload:hover {
    border-color: #cc1111;
}

.preview img {
    max-width: 100px;
    margin: 5px;
    border-radius: 6px;
}

button {
    margin-top: 20px;
    width: 100%;
    padding: 15px;
    background: linear-gradient(135deg,#cc1111,#ff3b3b);
    border: none;
    color: white;
    border-radius: 6px;
    font-weight: bold;
    cursor: pointer;
}

.loader {
    display: none;
    text-align: center;
    margin-top: 15px;
}